<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: Header.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: Header.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React, { useState } from 'react';
import { Link } from 'react-router-dom';
import styled from 'styled-components';
import colors from '../../utils/style/colors';

const Container = styled.header`
  display: flex;
  background-color: ${colors.primary};
  height: 91px;
  width: 100%;
`;

const Logo = styled.img`
  height: 57.7px;
`;

const Nav = styled.nav`
  margin: auto 90px auto 30px;
  width: 100%;
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  justify-content: space-between;

  a {
    color: white;
    font-size: 24px;
    font-weight: 500;
    text-decoration: none;

    &amp;:hover {
      color: ${colors.secondary};
    }
  }
`;

/**
 * Component for showing main navigation and Logo.
 *
 * @component
 */

const Header: React.FC = () => {
  /** Allow to switch between the two api returned id */
  // To remove when the identification system will be ready !
  const [currentUserId, setCurrentUserId] = useState(12);
  const updateUserId = () => {
    setCurrentUserId(currentUserId === 12 ? 18 : 12);
  };

  return (
    &lt;Container>
      &lt;Nav>
        &lt;Logo src="/assets/logo.png" className="logo" alt="kasa" />
        &lt;Link to="/">Accueil&lt;/Link>
        &lt;Link to={`/profile/${currentUserId}`} onClick={updateUserId}>
          Profil
        &lt;/Link>
        &lt;Link to="/">Réglage&lt;/Link>
        &lt;Link to="/">Communauté&lt;/Link>
      &lt;/Nav>
    &lt;/Container>
  );
};

export default Header;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Header.html">Header</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Thu Aug 19 2021 15:37:44 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
